com.taosdata.jdbc.ws.tmq.meta

## Enum TableType

- java.lang.Object
- - java.lang.Enum<TableType>
  - - com.taosdata.jdbc.ws.tmq.meta.TableType

All Implemented Interfaces:
  Serializable, Comparable<TableType>

    public enum TableType
    extends Enum<TableType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CHILD`
`NORMAL`
`SUPER`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TableType` `fromString(String value)`
`boolean` `matches(String value)`
`static TableType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TableType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SUPER

    public static final TableType SUPER

#### CHILD

    public static final TableType CHILD

#### NORMAL

    public static final TableType NORMAL

### Method Detail

#### values

    public static TableType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TableType c : TableType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TableType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromString

    public static TableType fromString(String value)

#### matches

    public boolean matches(String value)